# [ doc = r"Register block" ] # [ repr ( C ) ] pub struct RegisterBlock { # [ doc = "0x00 - MAC Frame Configure Register" ] pub r32_eth_maccr : crate :: Reg < r32_eth_maccr :: R32_ETH_MACCR_SPEC > , # [ doc = "0x04 - MAC Frame Filter Configure Register" ] pub r32_eth_macffr : crate :: Reg < r32_eth_macffr :: R32_ETH_MACFFR_SPEC > , # [ doc = "0x08 - MAC Hash Table High Register" ] pub r32_eth_machthr : crate :: Reg < r32_eth_machthr :: R32_ETH_MACHTHR_SPEC > , # [ doc = "0x0c - MAC Hash Table Low Register" ] pub r32_eth_machtlr : crate :: Reg < r32_eth_machtlr :: R32_ETH_MACHTLR_SPEC > , # [ doc = "0x10 - MAC MII Address Register" ] pub r32_eth_macmiiar : crate :: Reg < r32_eth_macmiiar :: R32_ETH_MACMIIAR_SPEC > , # [ doc = "0x14 - MAC MII Data Register" ] pub r32_eth_macmiidr : crate :: Reg < r32_eth_macmiidr :: R32_ETH_MACMIIDR_SPEC > , # [ doc = "0x18 - MAC Flow-Control Register" ] pub r32_eth_macfcr : crate :: Reg < r32_eth_macfcr :: R32_ETH_MACFCR_SPEC > , # [ doc = "0x1c - MAC VLAN Tag Register" ] pub r32_eth_macvlantr : crate :: Reg < r32_eth_macvlantr :: R32_ETH_MACVLANTR_SPEC > , _reserved8 : [ u8 ; 0x08 ] , # [ doc = "0x28 - MAC Remote Wake-Up Frame Filter Register" ] pub r32_eth_macrwuffr : crate :: Reg < r32_eth_macrwuffr :: R32_ETH_MACRWUFFR_SPEC > , # [ doc = "0x2c - MAC PMT Control and Reset Register" ] pub r32_eth_macpmtcsr : crate :: Reg < r32_eth_macpmtcsr :: R32_ETH_MACPMTCSR_SPEC > , _reserved10 : [ u8 ; 0x08 ] , # [ doc = "0x38 - MAC Interrupt Status Register" ] pub r32_eth_macsr : crate :: Reg < r32_eth_macsr :: R32_ETH_MACSR_SPEC > , # [ doc = "0x3c - MAC Interrupt Mask Register" ] pub r32_eth_macimr : crate :: Reg < r32_eth_macimr :: R32_ETH_MACIMR_SPEC > , # [ doc = "0x40 - MAC Address 0 High Register" ] pub r32_eth_maca0hr : crate :: Reg < r32_eth_maca0hr :: R32_ETH_MACA0HR_SPEC > , # [ doc = "0x44 - MAC Address 0 Low Register" ] pub r32_eth_maca0lr : crate :: Reg < r32_eth_maca0lr :: R32_ETH_MACA0LR_SPEC > , # [ doc = "0x48 - MAC Address 1 High Register" ] pub r32_eth_maca1hr : crate :: Reg < r32_eth_maca1hr :: R32_ETH_MACA1HR_SPEC > , # [ doc = "0x4c - MAC Address 1 Low Register" ] pub r32_eth_maca1lr : crate :: Reg < r32_eth_maca1lr :: R32_ETH_MACA1LR_SPEC > , # [ doc = "0x50 - MAC Address 2 High Register" ] pub r32_eth_maca2hr : crate :: Reg < r32_eth_maca2hr :: R32_ETH_MACA2HR_SPEC > , # [ doc = "0x54 - MAC Address 2 Low Register" ] pub r32_eth_maca2lr : crate :: Reg < r32_eth_maca2lr :: R32_ETH_MACA2LR_SPEC > , # [ doc = "0x58 - MAC Address 3 High Register" ] pub r32_eth_maca3hr : crate :: Reg < r32_eth_maca3hr :: R32_ETH_MACA3HR_SPEC > , # [ doc = "0x5c - MAC Address 3 Low Register" ] pub r32_eth_maca3lr : crate :: Reg < r32_eth_maca3lr :: R32_ETH_MACA3LR_SPEC > , _reserved20 : [ u8 ; 0xa0 ] , # [ doc = "0x100 - MMC Control Register" ] pub r32_eth_mmccr : crate :: Reg < r32_eth_mmccr :: R32_ETH_MMCCR_SPEC > , # [ doc = "0x104 - MMC RX Interrupt Register" ] pub r32_eth_mmcrir : crate :: Reg < r32_eth_mmcrir :: R32_ETH_MMCRIR_SPEC > , # [ doc = "0x108 - MMC TX Interrupt Register" ] pub r32_eth_mmctir : crate :: Reg < r32_eth_mmctir :: R32_ETH_MMCTIR_SPEC > , # [ doc = "0x10c - MMC RX Interrupt Mask Register" ] pub r32_eth_mmcrimr : crate :: Reg < r32_eth_mmcrimr :: R32_ETH_MMCRIMR_SPEC > , _reserved24 : [ u8 ; 0x34 ] , # [ doc = "0x144 - MMC TX Interrupt Mask Register" ] pub r32_eth_mmctimr : crate :: Reg < r32_eth_mmctimr :: R32_ETH_MMCTIMR_SPEC > , _reserved25 : [ u8 ; 0x04 ] , # [ doc = "0x14c - MMC Transmit Good Frame After Single Conflict Counter Register" ] pub r32_eth_mmctgfsccr : crate :: Reg < r32_eth_mmctgfsccr :: R32_ETH_MMCTGFSCCR_SPEC > , # [ doc = "0x150 - MMC Transmit Good Frame After Multiple Conflicts Counter Register" ] pub r32_eth_mmctgfmsccr : crate :: Reg < r32_eth_mmctgfmsccr :: R32_ETH_MMCTGFMSCCR_SPEC > , _reserved27 : [ u8 ; 0x14 ] , # [ doc = "0x168 - MMC Transmit Good Frame Counter Register" ] pub r32_eth_mmctgfcr : crate :: Reg < r32_eth_mmctgfcr :: R32_ETH_MMCTGFCR_SPEC > , _reserved28 : [ u8 ; 0x28 ] , # [ doc = "0x194 - MMC RX Frame CRC Error Counter Register" ] pub r32_eth_mmcrfcecr : crate :: Reg < r32_eth_mmcrfcecr :: R32_ETH_MMCRFCECR_SPEC > , # [ doc = "0x198 - MMC RX Frame Alignment Error Counter Register" ] pub r32_eth_mmcrfaecr : crate :: Reg < r32_eth_mmcrfaecr :: R32_ETH_MMCRFAECR_SPEC > , _reserved30 : [ u8 ; 0x28 ] , # [ doc = "0x1c4 - MMC RX Good Unicast Frame Counter Register" ] pub r32_eth_mmcrgufcr : crate :: Reg < r32_eth_mmcrgufcr :: R32_ETH_MMCRGUFCR_SPEC > , _reserved31 : [ u8 ; 0x0538 ] , # [ doc = "0x700 - PTP Time Stamp Control Register" ] pub r32_eth_ptptscr : crate :: Reg < r32_eth_ptptscr :: R32_ETH_PTPTSCR_SPEC > , # [ doc = "0x704 - PTP Sub Second Increment Register" ] pub r32_eth_ptpssir : crate :: Reg < r32_eth_ptpssir :: R32_ETH_PTPSSIR_SPEC > , # [ doc = "0x708 - PTP Time Stamp High Register" ] pub r32_eth_ptptshr : crate :: Reg < r32_eth_ptptshr :: R32_ETH_PTPTSHR_SPEC > , # [ doc = "0x70c - PTP Time Stamp Low Register" ] pub r32_eth_ptptslr : crate :: Reg < r32_eth_ptptslr :: R32_ETH_PTPTSLR_SPEC > , # [ doc = "0x710 - PTP Time Stamp High Update Register" ] pub r32_eth_ptptshur : crate :: Reg < r32_eth_ptptshur :: R32_ETH_PTPTSHUR_SPEC > , # [ doc = "0x714 - PTP Time Stamp Low Update Register" ] pub r32_eth_ptptslur : crate :: Reg < r32_eth_ptptslur :: R32_ETH_PTPTSLUR_SPEC > , # [ doc = "0x718 - PTP Time Stamp Accumulating Register" ] pub r32_eth_ptptsar : crate :: Reg < r32_eth_ptptsar :: R32_ETH_PTPTSAR_SPEC > , # [ doc = "0x71c - PTP Target Time High Register" ] pub r32_eth_ptptthr : crate :: Reg < r32_eth_ptptthr :: R32_ETH_PTPTTHR_SPEC > , # [ doc = "0x720 - PTP Target Time Low Register" ] pub r32_eth_ptpttlr : crate :: Reg < r32_eth_ptpttlr :: R32_ETH_PTPTTLR_SPEC > , # [ doc = "0x724 - PTP Time Stamp Status Register" ] pub r32_eth_ptptssr : crate :: Reg < r32_eth_ptptssr :: R32_ETH_PTPTSSR_SPEC > , _reserved41 : [ u8 ; 0x08d8 ] , # [ doc = "0x1000 - DMA Bus Mode Register" ] pub r32_eth_dmabmr : crate :: Reg < r32_eth_dmabmr :: R32_ETH_DMABMR_SPEC > , # [ doc = "0x1004 - DMA TX Poll Demand Register" ] pub r32_eth_dmatpdr : crate :: Reg < r32_eth_dmatpdr :: R32_ETH_DMATPDR_SPEC > , # [ doc = "0x1008 - DMA RX Poll Demand Register" ] pub r32_eth_dmarpdr : crate :: Reg < r32_eth_dmarpdr :: R32_ETH_DMARPDR_SPEC > , # [ doc = "0x100c - DMA RX Description List Address Register" ] pub r32_eth_dmardlar : crate :: Reg < r32_eth_dmardlar :: R32_ETH_DMARDLAR_SPEC > , # [ doc = "0x1010 - DMA TX Description List Address Register" ] pub r32_eth_dmatdlar : crate :: Reg < r32_eth_dmatdlar :: R32_ETH_DMATDLAR_SPEC > , # [ doc = "0x1014 - DMA Status Register" ] pub r32_eth_dmasr : crate :: Reg < r32_eth_dmasr :: R32_ETH_DMASR_SPEC > , # [ doc = "0x1018 - DMA Operate Mode Register" ] pub r32_eth_dmaomr : crate :: Reg < r32_eth_dmaomr :: R32_ETH_DMAOMR_SPEC > , # [ doc = "0x101c - DMA Interrupt Enable Register" ] pub r32_eth_dmaier : crate :: Reg < r32_eth_dmaier :: R32_ETH_DMAIER_SPEC > , # [ doc = "0x1020 - DMA Missing Frame and Buffer Overflow Counter Register" ] pub r32_eth_dmamfbocr : crate :: Reg < r32_eth_dmamfbocr :: R32_ETH_DMAMFBOCR_SPEC > , # [ doc = "0x1024 - DMA RX Status Watchdog Timer Register" ] pub r32_eth_dmarswtr : crate :: Reg < r32_eth_dmarswtr :: R32_ETH_DMARSWTR_SPEC > , _reserved51 : [ u8 ; 0x20 ] , # [ doc = "0x1048 - DMA Current Host TX Description Register" ] pub r32_eth_dmachtdr : crate :: Reg < r32_eth_dmachtdr :: R32_ETH_DMACHTDR_SPEC > , # [ doc = "0x104c - DMA Current Host RX Description Register" ] pub r32_eth_dmachrdr : crate :: Reg < r32_eth_dmachrdr :: R32_ETH_DMACHRDR_SPEC > , # [ doc = "0x1050 - DMA Current Host TX Buffer Address Register" ] pub r32_eth_dmachtbar : crate :: Reg < r32_eth_dmachtbar :: R32_ETH_DMACHTBAR_SPEC > , # [ doc = "0x1054 - DMA Current Host RX Buffer Address Register" ] pub r32_eth_dmachrbar : crate :: Reg < r32_eth_dmachrbar :: R32_ETH_DMACHRBAR_SPEC > , } # [ doc = "R32_ETH_MACCR register accessor: an alias for `Reg<R32_ETH_MACCR_SPEC>`" ] pub type R32_ETH_MACCR = crate :: Reg < r32_eth_maccr :: R32_ETH_MACCR_SPEC > ; # [ doc = "MAC Frame Configure Register" ] pub mod r32_eth_maccr ; # [ doc = "R32_ETH_MACFFR register accessor: an alias for `Reg<R32_ETH_MACFFR_SPEC>`" ] pub type R32_ETH_MACFFR = crate :: Reg < r32_eth_macffr :: R32_ETH_MACFFR_SPEC > ; # [ doc = "MAC Frame Filter Configure Register" ] pub mod r32_eth_macffr ; # [ doc = "R32_ETH_MACHTHR register accessor: an alias for `Reg<R32_ETH_MACHTHR_SPEC>`" ] pub type R32_ETH_MACHTHR = crate :: Reg < r32_eth_machthr :: R32_ETH_MACHTHR_SPEC > ; # [ doc = "MAC Hash Table High Register" ] pub mod r32_eth_machthr ; # [ doc = "R32_ETH_MACHTLR register accessor: an alias for `Reg<R32_ETH_MACHTLR_SPEC>`" ] pub type R32_ETH_MACHTLR = crate :: Reg < r32_eth_machtlr :: R32_ETH_MACHTLR_SPEC > ; # [ doc = "MAC Hash Table Low Register" ] pub mod r32_eth_machtlr ; # [ doc = "R32_ETH_MACMIIAR register accessor: an alias for `Reg<R32_ETH_MACMIIAR_SPEC>`" ] pub type R32_ETH_MACMIIAR = crate :: Reg < r32_eth_macmiiar :: R32_ETH_MACMIIAR_SPEC > ; # [ doc = "MAC MII Address Register" ] pub mod r32_eth_macmiiar ; # [ doc = "R32_ETH_MACMIIDR register accessor: an alias for `Reg<R32_ETH_MACMIIDR_SPEC>`" ] pub type R32_ETH_MACMIIDR = crate :: Reg < r32_eth_macmiidr :: R32_ETH_MACMIIDR_SPEC > ; # [ doc = "MAC MII Data Register" ] pub mod r32_eth_macmiidr ; # [ doc = "R32_ETH_MACFCR register accessor: an alias for `Reg<R32_ETH_MACFCR_SPEC>`" ] pub type R32_ETH_MACFCR = crate :: Reg < r32_eth_macfcr :: R32_ETH_MACFCR_SPEC > ; # [ doc = "MAC Flow-Control Register" ] pub mod r32_eth_macfcr ; # [ doc = "R32_ETH_MACVLANTR register accessor: an alias for `Reg<R32_ETH_MACVLANTR_SPEC>`" ] pub type R32_ETH_MACVLANTR = crate :: Reg < r32_eth_macvlantr :: R32_ETH_MACVLANTR_SPEC > ; # [ doc = "MAC VLAN Tag Register" ] pub mod r32_eth_macvlantr ; # [ doc = "R32_ETH_MACRWUFFR register accessor: an alias for `Reg<R32_ETH_MACRWUFFR_SPEC>`" ] pub type R32_ETH_MACRWUFFR = crate :: Reg < r32_eth_macrwuffr :: R32_ETH_MACRWUFFR_SPEC > ; # [ doc = "MAC Remote Wake-Up Frame Filter Register" ] pub mod r32_eth_macrwuffr ; # [ doc = "R32_ETH_MACPMTCSR register accessor: an alias for `Reg<R32_ETH_MACPMTCSR_SPEC>`" ] pub type R32_ETH_MACPMTCSR = crate :: Reg < r32_eth_macpmtcsr :: R32_ETH_MACPMTCSR_SPEC > ; # [ doc = "MAC PMT Control and Reset Register" ] pub mod r32_eth_macpmtcsr ; # [ doc = "R32_ETH_MACSR register accessor: an alias for `Reg<R32_ETH_MACSR_SPEC>`" ] pub type R32_ETH_MACSR = crate :: Reg < r32_eth_macsr :: R32_ETH_MACSR_SPEC > ; # [ doc = "MAC Interrupt Status Register" ] pub mod r32_eth_macsr ; # [ doc = "R32_ETH_MACIMR register accessor: an alias for `Reg<R32_ETH_MACIMR_SPEC>`" ] pub type R32_ETH_MACIMR = crate :: Reg < r32_eth_macimr :: R32_ETH_MACIMR_SPEC > ; # [ doc = "MAC Interrupt Mask Register" ] pub mod r32_eth_macimr ; # [ doc = "R32_ETH_MACA0HR register accessor: an alias for `Reg<R32_ETH_MACA0HR_SPEC>`" ] pub type R32_ETH_MACA0HR = crate :: Reg < r32_eth_maca0hr :: R32_ETH_MACA0HR_SPEC > ; # [ doc = "MAC Address 0 High Register" ] pub mod r32_eth_maca0hr ; # [ doc = "R32_ETH_MACA0LR register accessor: an alias for `Reg<R32_ETH_MACA0LR_SPEC>`" ] pub type R32_ETH_MACA0LR = crate :: Reg < r32_eth_maca0lr :: R32_ETH_MACA0LR_SPEC > ; # [ doc = "MAC Address 0 Low Register" ] pub mod r32_eth_maca0lr ; # [ doc = "R32_ETH_MACA1HR register accessor: an alias for `Reg<R32_ETH_MACA1HR_SPEC>`" ] pub type R32_ETH_MACA1HR = crate :: Reg < r32_eth_maca1hr :: R32_ETH_MACA1HR_SPEC > ; # [ doc = "MAC Address 1 High Register" ] pub mod r32_eth_maca1hr ; # [ doc = "R32_ETH_MACA1LR register accessor: an alias for `Reg<R32_ETH_MACA1LR_SPEC>`" ] pub type R32_ETH_MACA1LR = crate :: Reg < r32_eth_maca1lr :: R32_ETH_MACA1LR_SPEC > ; # [ doc = "MAC Address 1 Low Register" ] pub mod r32_eth_maca1lr ; # [ doc = "R32_ETH_MACA2HR register accessor: an alias for `Reg<R32_ETH_MACA2HR_SPEC>`" ] pub type R32_ETH_MACA2HR = crate :: Reg < r32_eth_maca2hr :: R32_ETH_MACA2HR_SPEC > ; # [ doc = "MAC Address 2 High Register" ] pub mod r32_eth_maca2hr ; # [ doc = "R32_ETH_MACA2LR register accessor: an alias for `Reg<R32_ETH_MACA2LR_SPEC>`" ] pub type R32_ETH_MACA2LR = crate :: Reg < r32_eth_maca2lr :: R32_ETH_MACA2LR_SPEC > ; # [ doc = "MAC Address 2 Low Register" ] pub mod r32_eth_maca2lr ; # [ doc = "R32_ETH_MACA3HR register accessor: an alias for `Reg<R32_ETH_MACA3HR_SPEC>`" ] pub type R32_ETH_MACA3HR = crate :: Reg < r32_eth_maca3hr :: R32_ETH_MACA3HR_SPEC > ; # [ doc = "MAC Address 3 High Register" ] pub mod r32_eth_maca3hr ; # [ doc = "R32_ETH_MACA3LR register accessor: an alias for `Reg<R32_ETH_MACA3LR_SPEC>`" ] pub type R32_ETH_MACA3LR = crate :: Reg < r32_eth_maca3lr :: R32_ETH_MACA3LR_SPEC > ; # [ doc = "MAC Address 3 Low Register" ] pub mod r32_eth_maca3lr ; # [ doc = "R32_ETH_MMCCR register accessor: an alias for `Reg<R32_ETH_MMCCR_SPEC>`" ] pub type R32_ETH_MMCCR = crate :: Reg < r32_eth_mmccr :: R32_ETH_MMCCR_SPEC > ; # [ doc = "MMC Control Register" ] pub mod r32_eth_mmccr ; # [ doc = "R32_ETH_MMCRIR register accessor: an alias for `Reg<R32_ETH_MMCRIR_SPEC>`" ] pub type R32_ETH_MMCRIR = crate :: Reg < r32_eth_mmcrir :: R32_ETH_MMCRIR_SPEC > ; # [ doc = "MMC RX Interrupt Register" ] pub mod r32_eth_mmcrir ; # [ doc = "R32_ETH_MMCTIR register accessor: an alias for `Reg<R32_ETH_MMCTIR_SPEC>`" ] pub type R32_ETH_MMCTIR = crate :: Reg < r32_eth_mmctir :: R32_ETH_MMCTIR_SPEC > ; # [ doc = "MMC TX Interrupt Register" ] pub mod r32_eth_mmctir ; # [ doc = "R32_ETH_MMCRIMR register accessor: an alias for `Reg<R32_ETH_MMCRIMR_SPEC>`" ] pub type R32_ETH_MMCRIMR = crate :: Reg < r32_eth_mmcrimr :: R32_ETH_MMCRIMR_SPEC > ; # [ doc = "MMC RX Interrupt Mask Register" ] pub mod r32_eth_mmcrimr ; # [ doc = "R32_ETH_MMCTIMR register accessor: an alias for `Reg<R32_ETH_MMCTIMR_SPEC>`" ] pub type R32_ETH_MMCTIMR = crate :: Reg < r32_eth_mmctimr :: R32_ETH_MMCTIMR_SPEC > ; # [ doc = "MMC TX Interrupt Mask Register" ] pub mod r32_eth_mmctimr ; # [ doc = "R32_ETH_MMCTGFSCCR register accessor: an alias for `Reg<R32_ETH_MMCTGFSCCR_SPEC>`" ] pub type R32_ETH_MMCTGFSCCR = crate :: Reg < r32_eth_mmctgfsccr :: R32_ETH_MMCTGFSCCR_SPEC > ; # [ doc = "MMC Transmit Good Frame After Single Conflict Counter Register" ] pub mod r32_eth_mmctgfsccr ; # [ doc = "R32_ETH_MMCTGFMSCCR register accessor: an alias for `Reg<R32_ETH_MMCTGFMSCCR_SPEC>`" ] pub type R32_ETH_MMCTGFMSCCR = crate :: Reg < r32_eth_mmctgfmsccr :: R32_ETH_MMCTGFMSCCR_SPEC > ; # [ doc = "MMC Transmit Good Frame After Multiple Conflicts Counter Register" ] pub mod r32_eth_mmctgfmsccr ; # [ doc = "R32_ETH_MMCTGFCR register accessor: an alias for `Reg<R32_ETH_MMCTGFCR_SPEC>`" ] pub type R32_ETH_MMCTGFCR = crate :: Reg < r32_eth_mmctgfcr :: R32_ETH_MMCTGFCR_SPEC > ; # [ doc = "MMC Transmit Good Frame Counter Register" ] pub mod r32_eth_mmctgfcr ; # [ doc = "R32_ETH_MMCRFCECR register accessor: an alias for `Reg<R32_ETH_MMCRFCECR_SPEC>`" ] pub type R32_ETH_MMCRFCECR = crate :: Reg < r32_eth_mmcrfcecr :: R32_ETH_MMCRFCECR_SPEC > ; # [ doc = "MMC RX Frame CRC Error Counter Register" ] pub mod r32_eth_mmcrfcecr ; # [ doc = "R32_ETH_MMCRFAECR register accessor: an alias for `Reg<R32_ETH_MMCRFAECR_SPEC>`" ] pub type R32_ETH_MMCRFAECR = crate :: Reg < r32_eth_mmcrfaecr :: R32_ETH_MMCRFAECR_SPEC > ; # [ doc = "MMC RX Frame Alignment Error Counter Register" ] pub mod r32_eth_mmcrfaecr ; # [ doc = "R32_ETH_MMCRGUFCR register accessor: an alias for `Reg<R32_ETH_MMCRGUFCR_SPEC>`" ] pub type R32_ETH_MMCRGUFCR = crate :: Reg < r32_eth_mmcrgufcr :: R32_ETH_MMCRGUFCR_SPEC > ; # [ doc = "MMC RX Good Unicast Frame Counter Register" ] pub mod r32_eth_mmcrgufcr ; # [ doc = "R32_ETH_PTPTSCR register accessor: an alias for `Reg<R32_ETH_PTPTSCR_SPEC>`" ] pub type R32_ETH_PTPTSCR = crate :: Reg < r32_eth_ptptscr :: R32_ETH_PTPTSCR_SPEC > ; # [ doc = "PTP Time Stamp Control Register" ] pub mod r32_eth_ptptscr ; # [ doc = "R32_ETH_PTPSSIR register accessor: an alias for `Reg<R32_ETH_PTPSSIR_SPEC>`" ] pub type R32_ETH_PTPSSIR = crate :: Reg < r32_eth_ptpssir :: R32_ETH_PTPSSIR_SPEC > ; # [ doc = "PTP Sub Second Increment Register" ] pub mod r32_eth_ptpssir ; # [ doc = "R32_ETH_PTPTSHR register accessor: an alias for `Reg<R32_ETH_PTPTSHR_SPEC>`" ] pub type R32_ETH_PTPTSHR = crate :: Reg < r32_eth_ptptshr :: R32_ETH_PTPTSHR_SPEC > ; # [ doc = "PTP Time Stamp High Register" ] pub mod r32_eth_ptptshr ; # [ doc = "R32_ETH_PTPTSLR register accessor: an alias for `Reg<R32_ETH_PTPTSLR_SPEC>`" ] pub type R32_ETH_PTPTSLR = crate :: Reg < r32_eth_ptptslr :: R32_ETH_PTPTSLR_SPEC > ; # [ doc = "PTP Time Stamp Low Register" ] pub mod r32_eth_ptptslr ; # [ doc = "R32_ETH_PTPTSHUR register accessor: an alias for `Reg<R32_ETH_PTPTSHUR_SPEC>`" ] pub type R32_ETH_PTPTSHUR = crate :: Reg < r32_eth_ptptshur :: R32_ETH_PTPTSHUR_SPEC > ; # [ doc = "PTP Time Stamp High Update Register" ] pub mod r32_eth_ptptshur ; # [ doc = "R32_ETH_PTPTSLUR register accessor: an alias for `Reg<R32_ETH_PTPTSLUR_SPEC>`" ] pub type R32_ETH_PTPTSLUR = crate :: Reg < r32_eth_ptptslur :: R32_ETH_PTPTSLUR_SPEC > ; # [ doc = "PTP Time Stamp Low Update Register" ] pub mod r32_eth_ptptslur ; # [ doc = "R32_ETH_PTPTSAR register accessor: an alias for `Reg<R32_ETH_PTPTSAR_SPEC>`" ] pub type R32_ETH_PTPTSAR = crate :: Reg < r32_eth_ptptsar :: R32_ETH_PTPTSAR_SPEC > ; # [ doc = "PTP Time Stamp Accumulating Register" ] pub mod r32_eth_ptptsar ; # [ doc = "R32_ETH_PTPTTHR register accessor: an alias for `Reg<R32_ETH_PTPTTHR_SPEC>`" ] pub type R32_ETH_PTPTTHR = crate :: Reg < r32_eth_ptptthr :: R32_ETH_PTPTTHR_SPEC > ; # [ doc = "PTP Target Time High Register" ] pub mod r32_eth_ptptthr ; # [ doc = "R32_ETH_PTPTTLR register accessor: an alias for `Reg<R32_ETH_PTPTTLR_SPEC>`" ] pub type R32_ETH_PTPTTLR = crate :: Reg < r32_eth_ptpttlr :: R32_ETH_PTPTTLR_SPEC > ; # [ doc = "PTP Target Time Low Register" ] pub mod r32_eth_ptpttlr ; # [ doc = "R32_ETH_PTPTSSR register accessor: an alias for `Reg<R32_ETH_PTPTSSR_SPEC>`" ] pub type R32_ETH_PTPTSSR = crate :: Reg < r32_eth_ptptssr :: R32_ETH_PTPTSSR_SPEC > ; # [ doc = "PTP Time Stamp Status Register" ] pub mod r32_eth_ptptssr ; # [ doc = "R32_ETH_DMABMR register accessor: an alias for `Reg<R32_ETH_DMABMR_SPEC>`" ] pub type R32_ETH_DMABMR = crate :: Reg < r32_eth_dmabmr :: R32_ETH_DMABMR_SPEC > ; # [ doc = "DMA Bus Mode Register" ] pub mod r32_eth_dmabmr ; # [ doc = "R32_ETH_DMATPDR register accessor: an alias for `Reg<R32_ETH_DMATPDR_SPEC>`" ] pub type R32_ETH_DMATPDR = crate :: Reg < r32_eth_dmatpdr :: R32_ETH_DMATPDR_SPEC > ; # [ doc = "DMA TX Poll Demand Register" ] pub mod r32_eth_dmatpdr ; # [ doc = "R32_ETH_DMARPDR register accessor: an alias for `Reg<R32_ETH_DMARPDR_SPEC>`" ] pub type R32_ETH_DMARPDR = crate :: Reg < r32_eth_dmarpdr :: R32_ETH_DMARPDR_SPEC > ; # [ doc = "DMA RX Poll Demand Register" ] pub mod r32_eth_dmarpdr ; # [ doc = "R32_ETH_DMARDLAR register accessor: an alias for `Reg<R32_ETH_DMARDLAR_SPEC>`" ] pub type R32_ETH_DMARDLAR = crate :: Reg < r32_eth_dmardlar :: R32_ETH_DMARDLAR_SPEC > ; # [ doc = "DMA RX Description List Address Register" ] pub mod r32_eth_dmardlar ; # [ doc = "R32_ETH_DMATDLAR register accessor: an alias for `Reg<R32_ETH_DMATDLAR_SPEC>`" ] pub type R32_ETH_DMATDLAR = crate :: Reg < r32_eth_dmatdlar :: R32_ETH_DMATDLAR_SPEC > ; # [ doc = "DMA TX Description List Address Register" ] pub mod r32_eth_dmatdlar ; # [ doc = "R32_ETH_DMASR register accessor: an alias for `Reg<R32_ETH_DMASR_SPEC>`" ] pub type R32_ETH_DMASR = crate :: Reg < r32_eth_dmasr :: R32_ETH_DMASR_SPEC > ; # [ doc = "DMA Status Register" ] pub mod r32_eth_dmasr ; # [ doc = "R32_ETH_DMAOMR register accessor: an alias for `Reg<R32_ETH_DMAOMR_SPEC>`" ] pub type R32_ETH_DMAOMR = crate :: Reg < r32_eth_dmaomr :: R32_ETH_DMAOMR_SPEC > ; # [ doc = "DMA Operate Mode Register" ] pub mod r32_eth_dmaomr ; # [ doc = "R32_ETH_DMAIER register accessor: an alias for `Reg<R32_ETH_DMAIER_SPEC>`" ] pub type R32_ETH_DMAIER = crate :: Reg < r32_eth_dmaier :: R32_ETH_DMAIER_SPEC > ; # [ doc = "DMA Interrupt Enable Register" ] pub mod r32_eth_dmaier ; # [ doc = "R32_ETH_DMAMFBOCR register accessor: an alias for `Reg<R32_ETH_DMAMFBOCR_SPEC>`" ] pub type R32_ETH_DMAMFBOCR = crate :: Reg < r32_eth_dmamfbocr :: R32_ETH_DMAMFBOCR_SPEC > ; # [ doc = "DMA Missing Frame and Buffer Overflow Counter Register" ] pub mod r32_eth_dmamfbocr ; # [ doc = "R32_ETH_DMARSWTR register accessor: an alias for `Reg<R32_ETH_DMARSWTR_SPEC>`" ] pub type R32_ETH_DMARSWTR = crate :: Reg < r32_eth_dmarswtr :: R32_ETH_DMARSWTR_SPEC > ; # [ doc = "DMA RX Status Watchdog Timer Register" ] pub mod r32_eth_dmarswtr ; # [ doc = "R32_ETH_DMACHTDR register accessor: an alias for `Reg<R32_ETH_DMACHTDR_SPEC>`" ] pub type R32_ETH_DMACHTDR = crate :: Reg < r32_eth_dmachtdr :: R32_ETH_DMACHTDR_SPEC > ; # [ doc = "DMA Current Host TX Description Register" ] pub mod r32_eth_dmachtdr ; # [ doc = "R32_ETH_DMACHRDR register accessor: an alias for `Reg<R32_ETH_DMACHRDR_SPEC>`" ] pub type R32_ETH_DMACHRDR = crate :: Reg < r32_eth_dmachrdr :: R32_ETH_DMACHRDR_SPEC > ; # [ doc = "DMA Current Host RX Description Register" ] pub mod r32_eth_dmachrdr ; # [ doc = "R32_ETH_DMACHTBAR register accessor: an alias for `Reg<R32_ETH_DMACHTBAR_SPEC>`" ] pub type R32_ETH_DMACHTBAR = crate :: Reg < r32_eth_dmachtbar :: R32_ETH_DMACHTBAR_SPEC > ; # [ doc = "DMA Current Host TX Buffer Address Register" ] pub mod r32_eth_dmachtbar ; # [ doc = "R32_ETH_DMACHRBAR register accessor: an alias for `Reg<R32_ETH_DMACHRBAR_SPEC>`" ] pub type R32_ETH_DMACHRBAR = crate :: Reg < r32_eth_dmachrbar :: R32_ETH_DMACHRBAR_SPEC > ; # [ doc = "DMA Current Host RX Buffer Address Register" ] pub mod r32_eth_dmachrbar ;